<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<title>AMCO Securities Payment</title>
	<meta name="description" content="AMCO Securities Payment" />

	<?php
	require_once 'assets_loader.php';
	?>

	<style>
		.form-label{
			text-align: left;
		}
	</style>
</head>
<body>




<div class="container">

	<div class="row">


		<div class="col-xs-12 col-md-3"></div>
		<div class="col-xs-12 col-md-6">
			<br/>
			<br/>
			<h2 style="text-align: center;">AMCO Security Payment System</h2>
			<br/>
			<br/>
			<form name="customer_info" method="post" action="<?=site_url('Payment/stripe_checkout')?>">
				<div class="form-group">
					<label for="cust_name">Customer Name*</label>
					<input type="text" class="form-control" id="cust_name" required name="cust_name" placeholder="Customer Name">
				</div>
				<div class="form-group">
					<label for="postcode">Postcode*</label>
					<input type="text" class="form-control" id="postcode" required name="postcode" placeholder="Postcode">
				</div>


				<div class="form-group">
					<label for="amco_ac_no" class="control-label">AMCO Account Number</label><br/>
					<span style="font-size: 11px;">(N.B. all existing AMCO customers will have one. Please check documentation)</span>
					<input type="text" class="form-control" name="amco_ac_no" id="amco_ac_no" placeholder="AMCO Account Number">
				</div>



				<div class="form-group">
					<label for="email" class="control-label">Email*</label>
					<input type="email" required class="form-control" id="email" name="email" placeholder="Email">
				</div>


				<div class="form-group">
					<label for="description" class="control-label">Description / detail</label>
					<textarea class="form-control" rows="3" id="description" name="description" placeholder="Enter description of services provided"></textarea>
				</div>


				<div class="form-group">
					<label for="service_types" class="control-label">Service Type*</label>
					<select class="form-control" id="service_types" required name="service_types">
						<option value="">Please Select Service Type</option>
						<?php
						foreach ($services as $service)
						{
							echo '<option value="'.$service->nominal_code.':'.$service->service_type.'">'.$service->service_type.'</option>';
						}
						?>
					</select>
				</div>



				<div class="form-group">
					<label for="frequency" class="control-label">Frequency*</label>
					<select class="form-control" id="frequency" required name="frequency">
						<option value="one-time">One-Time</option>
						<option value="annual">Annual Subscription</option>
						<option value="monthly">Monthly Subscription</option>
					</select>
				</div>
				<script>
					$("#frequency").change(function (){
						let frequency = this.value;
						//let val1 = $('#frequency option:selected').val();

						$("#price_id").val('');
						$("#package_name").val('');
						$("#package").val('');
						$("#package_description").remove();
						let package_description="<p id='package_description' style='font-weight: bold; color: red; text-align: left; font-size: 16px;'>Please select a subscription package.</p>";
						//let package_description=obj.description;
						$( "#package_info" ).append( package_description );

						if(frequency=="one-time")
						{
							$("#subscription_package").hide();
							$("#amount").val('');

							$("#package_info").hide();
							$("#package").prop("required", false);
							$("#amount").prop("readonly", false);

							$("#amount").removeAttr('type');
							$("#amount").attr('type','number');
						}else{
							$("#subscription_package").show();
							$("#package_info").show();

							$("#amount").val('');
							$("#package").prop("required", true);

							$("#amount").removeAttr('type');
							$("#amount").attr('type','text');
							$("#amount").prop("readonly", true);
						}

					});



					/*  $("#frequency").change(function () {
							var end = this.value;
							var firstDropVal = $('#pick').val();
						});*/

					/* $('#frequency').change(
									 function() {
										 var val1 = $('#pick option:selected').val();
										 var val2 = $('#drop option:selected').val();

										 // Do something with val1 and val2 ...
									 }
					 );*/




				</script>


				<div class="form-group" id="subscription_package" style="display: none;">
					<label for="package" class="control-label">Subscription Package*</label>
					<select class="form-control" id="package" name="package">
						<option value="">Please Select Your Desired Package</option>
						<?php
						foreach ($packages as $package)
						{
							echo '<option value="'.$package->db_id.'">'.$package->package_name.'</option>';
						}
						?>
					</select>
				</div>

				<script>

					$("#package").change(function (){
						var package = this.value;
						var frequency=$("#frequency").val();

						//alert("package_id : "+package+" frequency: "+frequency);
						//alert("frequency: "+frequency);

						if(package=="")
						{
							//alert("Please select a subscription package"); //need to change (enable to show alert)
							$("#amount").val('');

							$("#package_description").remove();
							let package_description="<p id='package_description' style='font-weight: bold; color: red; text-align: left; font-size: 16px;'>Please select a subscription package.</p>";
							//let package_description=obj.description;
							$( "#package_info" ).append( package_description );
							return false;
						}

						$.ajax({
							url: "<?php echo site_url('/payment/get_package_details'); ?>",
							type: "post",
							data: {
								package: package, frequency:frequency
							},
							success: function(success) {

								console.log(success);

								var data = success;

								var obj = JSON.parse(data);


								$("#price_id").val(obj.price_id);
								$("#package_name").val(obj.package_name);
								$("#amount").val(obj.package_price);

								$("#package_info").show();

								//remove old package description first
								$("#package_description").remove();

								let package_description="<p id='package_description' style='color: darkgreen; text-align: left; font-size: 16px; line-height:23px;'>"+obj.description+"</p>";
								//let package_description=obj.description;
								$( "#package_info" ).append( package_description );

							}
						});


					});

				</script>


				<?php
				/*echo "<pre>";
				var_dump($packages);
				echo "</pre>";*/
				?>


				<input type="hidden" name="price_id" id="price_id" value="">
				<input type="hidden" name="package_name" id="package_name" value="">


				<div class="form-group" id="package_info" style="display: none;">
					<p style="font-size: 18px; font-weight: bold;">Package Info:</p>

				</div>

				<div class="form-group" id="amount_field">
					<label for="amount" class="control-label">Amount*</label>
					<input type="number" required class="form-control" id="amount" name="amount" placeholder="Amount">
				</div>




				<div class="form-group" style="padding-bottom: 30px;">
					<div class="col-sm-12" style="text-align: right;">
						<!-- Indicates a successful or positive action -->
						<button type="submit" style="text-align: right;" class="btn btn-success">Save & Pay</button>
					</div>
				</div>



				<div class="form-group">
					<br/>&nbsp;
					<br/>
				</div>


			</form>
		</div>
		<div class="col-xs-12 col-md-3"></div>
	</div>

</div>







</body>
</html>
